import React from 'react';
import { Layout, theme } from 'antd';
import PageSidebar from './sidebar';
import PageContent from './contentbar';
import Headerbar from './headerbar';

const PageLayout: React.FC = () => {
  const {
    token: { colorBgContainer },
  } = theme.useToken();

  return (
		<Layout className='w-full min-h-screen flex flex-col'>
			<Headerbar colorBgContainer={colorBgContainer} />
      <Layout className='w-full'>
      	<PageSidebar />
        <PageContent></PageContent>
      </Layout>
    </Layout>
  );
};

export default PageLayout;
