import { Button, Table, Modal } from "antd";
import type { TableProps } from 'antd';
import { useState } from "react";

interface DataType {
  key: string;
  name: string;
  age: number;
  address: string;
}

const columns: TableProps<DataType>['columns'] = [
  {
    title: '账号名称',
    dataIndex: 'name',
    key: 'name',
  },
  {
    title: '账号id',
    dataIndex: 'id',
    key: 'id',
  },
  {
    title: '内容类别',
    dataIndex: 'qrcode',
    key: 'qrcode',
  },
	{
		title: '新增时间',
		dataIndex: 'status',
		key: 'status',
	},
  {
    title: '操作',
  }
]

const data: DataType[] = [
]

export default function Gzh() {
	const [isModalOpen, setIsModalOpen] = useState(false);
	const [modalTitle, setModalTitle] = useState('');

	const newAccount = () => {
    setIsModalOpen(true);
		setModalTitle('新建账号');
  };

	// const modifyAccount = () => {
  //   setIsModalOpen(true);
  //   setModalTitle('修改账号');
  // };

  const handleOk = () => {
    setIsModalOpen(false);
  };

  const handleCancel = () => {
    setIsModalOpen(false);
  };

  return (
    <>
      <div className={"flex mb-[10px]"}>
				<div className={"flex-1 leading-[32px]"}>公众号管理</div>
				<Button type="primary" onClick={newAccount}>+ 新建账号</Button>
			</div>
			<Table columns={columns} dataSource={data} />

			<Modal title={modalTitle} cancelText="取消" okText="确定" open={isModalOpen} onOk={handleOk} onCancel={handleCancel}>
				
			</Modal>
    </>
  )
}
